libgimpprint API Reference: string-list.h File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/string-list.h File Reference

Go to the source code of this file.

## Data Structures
struct | stp_param_string_t
| String parameter. More...
## Typedefs
typedef stp_string_list | stp_string_list_t
| The string_list opaque data type.
## Functions
stp_string_list_t * | stp_string_list_create (void)
void | stp_string_list_destroy (stp_string_list_t *list)
stp_param_string_t * | stp_string_list_param (const stp_string_list_t *list, size_t element)
stp_param_string_t * | stp_string_list_find (const stp_string_list_t *list, const char *name)
size_t | stp_string_list_count (const stp_string_list_t *list)
stp_string_list_t * | stp_string_list_create_copy (const stp_string_list_t *list)
void | stp_string_list_add_string (stp_string_list_t *list, const char *name, const char *text)
void | stp_string_list_remove_string (stp_string_list_t *list, const char *name)
stp_string_list_t * | stp_string_list_create_from_params (const stp_param_string_t *list, size_t count)
int | stp_string_list_is_present (const stp_string_list_t *list, const char *value)

## Typedef Documentation

typedef struct stp_string_list stp_string_list_t

| The string_list opaque data type. Definition at line 34 of file string-list.h. Referenced by stp_string_list_add_string(), stp_string_list_count(), stp_string_list_create(), stp_string_list_create_copy(), stp_string_list_create_from_params(), stp_string_list_destroy(), stp_string_list_find(), stp_string_list_is_present(), stp_string_list_param(), stp_string_list_remove_string(), and verify_string_param().

## Function Documentation

void stp_string_list_add_string | ( | stp_string_list_t * | list,
|  | const char * | name,
|  | const char * | text
| ) |

| Definition at line 120 of file string-list.c. References stp_param_string_t::name, stp_list_item_create(), stp_list_t, stp_malloc(), stp_strdup(), stp_string_list_t, and stp_param_string_t::text. Referenced by escp2_parameters(), olympus_parameters(), ps_parameters_internal(), raw_parameters(), stp_dither_describe_parameter(), stp_string_list_create_from_params(), stpi_color_traditional_describe_parameter(), and stpi_describe_generic_parameter().

size_t stp_string_list_count | ( | const stp_string_list_t * | list | ) |

| Definition at line 97 of file string-list.c. References stp_list_get_length(), stp_list_t, and stp_string_list_t. Referenced by ps_parameters_internal(), and verify_string_param().

stp_string_list_t* stp_string_list_create | ( | void |  | ) |

| Definition at line 66 of file string-list.c. References free_list_element(), stp_list_create(), stp_list_set_copyfunc(), stp_list_set_freefunc(), stp_list_set_long_namefunc(), stp_list_set_namefunc(), stp_list_t, and stp_string_list_t. Referenced by escp2_parameters(), olympus_parameters(), ps_parameters_internal(), raw_parameters(), stp_dither_describe_parameter(), stp_string_list_create_from_params(), stpi_color_traditional_describe_parameter(), and stpi_describe_generic_parameter().

stp_string_list_t* stp_string_list_create_copy | ( | const stp_string_list_t * | list | ) |

| Definition at line 103 of file string-list.c. References stp_list_copy(), stp_list_t, and stp_string_list_t.

stp_string_list_t* stp_string_list_create_from_params | ( | const stp_param_string_t * | list,
|  | size_t | count
| ) |

| Definition at line 109 of file string-list.c. References stp_string_list_add_string(), stp_string_list_create(), and stp_string_list_t.

void stp_string_list_destroy | ( | stp_string_list_t * | list | ) |

| Definition at line 77 of file string-list.c. References stp_list_destroy(), stp_list_t, and stp_string_list_t. Referenced by stp_parameter_description_destroy().

stp_param_string_t* stp_string_list_find | ( | const stp_string_list_t * | list,
|  | const char * | name
| ) |

| Definition at line 90 of file string-list.c. References stp_list_get_item_by_name(), stp_list_item_get_data(), stp_list_t, and stp_string_list_t.

int stp_string_list_is_present | ( | const stp_string_list_t * | list,
|  | const char * | value
| ) |

| Definition at line 141 of file string-list.c. References stp_list_get_item_by_name(), stp_list_t, and stp_string_list_t.

stp_param_string_t* stp_string_list_param | ( | const stp_string_list_t * | list,
|  | size_t | element
| ) |

| Definition at line 83 of file string-list.c. References stp_list_get_item_by_index(), stp_list_item_get_data(), stp_list_t, and stp_string_list_t. Referenced by escp2_parameters(), olympus_parameters(), ps_parameters_internal(), raw_parameters(), stp_dither_describe_parameter(), stpi_color_traditional_describe_parameter(), and verify_string_param().

void stp_string_list_remove_string | ( | stp_string_list_t * | list,
|  | const char * | name
| ) |

| Definition at line 131 of file string-list.c. References stp_list_get_item_by_name(), stp_list_item_destroy(), stp_list_item_t, stp_list_t, and stp_string_list_t.